package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Conexion;
import com.rjconsultores.ventaboletos.entidad.ConexionDescuento;

public interface ConexionDescuentoService {
	public List<ConexionDescuento> buscarPorConexion(Conexion conexion);

	public ConexionDescuento suscribir(ConexionDescuento conexionDescuento);

	public void borrar(ConexionDescuento conexionDescuento);

	public void suscribirTodos(List<ConexionDescuento> conexionesDescuentos);
	
	public List<ConexionDescuento> buscarPorConexionInativos(Conexion conexion);

}
